package tag_test

import (
	"fmt"
	"testing"

	"gogs.uu.mdfitnesscao.com/hys/sdk"
	"gogs.uu.mdfitnesscao.com/hys/sdk/tag"
)

func TestList(t *testing.T) {
	t.Run("test", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  true,
		})
		// pdfTemplates, err := pdf_template.ListByIds([]int64{15, 16})
		// fmt.Println(pdfTemplates, err)
		pdfTemplates, err := tag.DetailTagCategory("OdGoZlD5")
		fmt.Println(pdfTemplates, err)
	})
}

func TestSetArchivesTag(t *testing.T) {
	t.Run("test", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  true,
		})
		// pdfTemplates, err := pdf_template.ListByIds([]int64{15, 16})
		// fmt.Println(pdfTemplates, err)
		pdfTemplates, err := tag.SetArchivesTag("2NmOBzxZ", "pWJM3jrG", "哈哈哈", "测试")
		fmt.Println(pdfTemplates, err)
	})
}
