package common_test

import (
	"encoding/json"
	"testing"

	"gogs.uu.mdfitnesscao.com/hys/sdk"
	"gogs.uu.mdfitnesscao.com/hys/sdk/common"
)

func TestGetConfig(t *testing.T) {
	t.Run("test", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  false,
		})
		response, err := common.GetOssConfig()
		if err != nil {
			t.Errorf("err %v", err)
		}
		detail := response.Data.Config
		t.Logf("%v", detail)
	})
}

func TestGetRegion(t *testing.T) {
	t.Run("test", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  false,
		})
		response, err := common.GetRegionByCode("500000000000", "", "", "", "")
		if err != nil {
			t.Errorf("err %v", err)
		}
		detail := response.Data
		detailStr, _ := json.Marshal(detail)
		t.Logf("%v", string(detailStr))
	})
}
