package mechanism

import (
	"gogs.uu.mdfitnesscao.com/hys/sdk"
	"gogs.uu.mdfitnesscao.com/hys/sdk/response"
)

// 通过ID列表获取机构列表
func ListMechanismByIds(mechanismIds []string) ([]*sdk.Mechanism, *response.ErrCode) {
	var mechanisms = make([]*sdk.Mechanism, 0)
	if len(mechanismIds) == 0 {
		return mechanisms, nil
	}
	resp, responseErr := ListMechanism(mechanismIds)
	if responseErr == nil && len(resp.Data.List) > 0 {
		mechanisms = resp.Data.List
	}
	return mechanisms, responseErr
}
